<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package iwthemesfw
 */

get_header(); ?>

    <?php
        $iwthemesfw_archive_sidebar = esc_html(get_theme_mod( 'archive_sidebar', 'right' ));
        if($iwthemesfw_archive_sidebar == 'hidden'){
            $iwthemesfw_archive_sidebar_full = 'col-md-12';
        }else{
            $iwthemesfw_archive_sidebar_full = 'col-md-9';
        }
    ?>

	<div id="primary" class="container">
        <div class="row">

            <?php if($iwthemesfw_archive_sidebar == 'left'): ?>
                 <div class="col-md-3">
                    <?php get_sidebar(); ?>
                </div>
            <?php endif; ?>

            <main id="main" class="<?php echo esc_attr($iwthemesfw_archive_sidebar_full); ?>" role="main">

            <?php
            if ( have_posts() ) :

                if ( is_home() && ! is_front_page() ) : ?>
                    <header>
                        <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
                    </header>
                <?php
                endif;

                /* Start the Loop */
                while ( have_posts() ) : the_post();

                    /*
                     * Include the Post-Format-specific template for the content.
                     * If you want to override this in a child theme, then include a file
                     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                     */
                    get_template_part( 'components/post/content', get_post_format() );

                endwhile;

                iwthemesfw_pagination();

            else :

                get_template_part( 'components/post/content', 'none' );

            endif; ?>

            </main>

            <?php if($iwthemesfw_archive_sidebar == 'right'): ?>
                 <div class="col-md-3">
                    <?php get_sidebar(); ?>
                </div>
            <?php endif; ?>

        </div>
	</div>

<?php
get_footer();
